## Public API Reference

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# iGenMeshSkeletonControlFactory Struct Reference
[Mesh plugins, Mesh plugins]

@@ Document me More...

`#include <imesh/gmeshskel.h>`

Inheritance diagram for iGenMeshSkeletonControlFactory:

[legend]
List of all members.

## Public Member Functions

virtual void | DeleteAllScripts ()=0
| Delete all animation scripts.
virtual void | DeleteScript (const char *script_name)=0
| Delete script by name.
virtual const char * | LoadScriptFile (const char *filename)=0
| Load animation script from file.

## Detailed Description

@@ Document me

Definition at line 158 of file gmeshskel.h.

## Member Function Documentation

virtual void iGenMeshSkeletonControlFactory::DeleteAllScripts | ( |  | ) | `[pure virtual]`

| Delete all animation scripts.

virtual void iGenMeshSkeletonControlFactory::DeleteScript | ( | const char * | script_name | ) | `[pure virtual]`

| Delete script by name.

virtual const char* iGenMeshSkeletonControlFactory::LoadScriptFile | ( | const char * | filename | ) | `[pure virtual]`

| Load animation script from file.

The documentation for this struct was generated from the following file:

- imesh/gmeshskel.h